Bug 527090 - [mesa] only software rasterizer due to unknown symbol Xfree in /usr/lib/dri/savage_dri.so
Summary: [mesa] only software rasterizer due to unknown symbol Xfree in /usr/lib/dri/s...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: mesa
Version: 12
Hardware: i686
OS: Linux
low
medium
Target Milestone: ---
Assignee: Adam Jackson
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-10-04 10:47 UTC by Joachim Frieben
Modified: 2018-04-11 17:50 UTC (History)
4 users (show)

Fixed In Version: mesa-libGL-7.6-0.17.fc12.i686
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-11-25 17:43:08 UTC
Type: ---


Attachments (Terms of Use)

Description Joachim Frieben 2009-10-04 10:47:47 UTC
Description of problem:
After a fresh install from the "rawhide" tree, an IBM ThinkPad T23 does not provide working hardware acceleration. Despite being active on the server side, an unknown symbol prevents MESA to use /usr/lib/dri/savage_dri.so.
Executing 'env LIBGL_DEBUG=verbose glxinfo' returns:

  libGL: XF86DRIGetClientDriverName: 2.3.1 savage (screen 0)
  libGL: OpenDriver: trying /usr/lib/dri/savage_dri.so
  libGL error: dlopen /usr/lib/dri/savage_dri.so failed (/usr/lib
    /dri/savage_dri.so: undefined symbol: Xfree)
  libGL error: unable to load driver: savage_dri.so
  libGL: OpenDriver: trying /usr/lib/dri/swrast_dri.so
  name of display: :0.0
  display: :0  screen: 0
  direct rendering: Yes
  ..

Version-Release number of selected component (if applicable):
mesa-dri-drivers-7.6-0.13.fc12.i686

How reproducible:
Always.

Steps to Reproduce:
1. Execute 'glxinfo'.
  
Actual results:
OpenGL renderer string: Software Rasterizer

Expected results:
OpenGL renderer string: .. [Savage, etc.]

Additional info:
- Used to work in F10, I think.
- In F11, 3D rendering is broken on this system.
- Installed packages include:
  * kernel-PAE-2.6.31.1-56.fc12.i686
  * libdrm-2.4.14-1.fc12.i686
  * xorg-x11-drv-savage-2.3.1-1.fc12.i686
  * xorg-x11-server-Xorg-1.6.99.903-2.fc12.i686

Comment 1 Matěj Cepl 2009-11-05 17:17:27 UTC
Since this bugzilla report was filed, there have been several major updates in various components of the Xorg system, which may have resolved this issue. Users who have experienced this problem are encouraged to upgrade their system to the latest version of their packages (at least F12Beta, but even better if the very latest versions).

Please, if you experience this problem on the up-to-date system, let us now in the comment for this bug, or whether the upgraded system works for you.

If you won't be able to reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.

[This is a bulk message for all open Fedora Rawhide Xorg-related bugs. I'm adding myself to the CC list for each bug, so I'll see any comments you make after this and do my best to make sure every issue gets proper attention.]

Comment 2 Bug Zapper 2009-11-16 13:15:11 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 12 development cycle.
Changing version to '12'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 3 Joachim Frieben 2009-11-25 17:43:08 UTC
Issue has evolved, now reported through abrt as bug 541370.

Comment 4 Bjoern Rasmussen 2010-02-17 20:30:43 UTC
I've the same problem:

$ env LIBGL_DEBUG=verbose glxgears
libGL: XF86DRIGetClientDriverName: 2.3.1 savage (screen 0)
libGL: OpenDriver: trying /usr/lib/dri/savage_dri.so
libGL error: dlopen /usr/lib/dri/savage_dri.so failed (/usr/lib/dri/savage_dri.so: undefined symbol: Xfree)
libGL error: unable to load driver: savage_dri.so
libGL: OpenDriver: trying /usr/lib/dri/swrast_dri.so

Versions:
mesa-dri-drivers-7.6-0.13.fc12.i686
kernel-PAE-2.6.31.9-174.fc12.i686
libdrm-2.4.15-8.fc12.i686
xorg-x11-drv-savage-2.3.1-1.fc12.i686
xorg-x11-server-Xorg-1.7.4-1.fc12.i686

I'll update my system in a few day to see if that can solve the problem.

Comment 5 Bjoern Rasmussen 2010-02-21 09:01:24 UTC
Ran "yum update" on my system a couple of days ago.  Now kwin freezes and glxgears behaves like bug 541370 mentioned above (ran in Metacity).


Note You need to log in before you can comment on or make changes to this bug.